Bug 786832 - lorax should check volid length
lorax should check volid length
Product: Fedora
Classification: Fedora
Component: lorax (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Gracik
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-02-02 09:20 EST by Daniel Mach
Modified: 2013-07-04 09:00 EDT (History)
4 users (show)

See Also:
Fixed In Version: lorax-18.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-02-24 08:56:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Mach 2012-02-02 09:20:54 EST
Lorax doesn't check if len(volid) <= 32.
If a product name is too long, lorax crashes when creating boot.iso, which is at the end of the whole buildinstall process.

It should validate volid earlier, preferably right after lorax starts.

Note You need to log in before you can comment on or make changes to this bug.